Bug 7028 - include scannedonly VFS module
include scannedonly VFS module
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Docs
unspecified
All All
: P3 enhancement
: ---
Assigned To: Karolin Seeger
Samba QA Contact
http://git.samba.org/?p=vl/samba.git;...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-11 16:24 UTC by Olivier Sessink
Modified: 2010-01-18 04:47 UTC (History)
0 users

See Also:


Attachments
git-am patch for 3.5.0 part 1 (33.78 KB, patch)
2010-01-13 17:13 UTC, Jeremy Allison
jra: review? (oliviersessink)
Details
git-am patch for 3.5.0 part 2 (1009 bytes, patch)
2010-01-13 17:13 UTC, Jeremy Allison
jra: review? (oliviersessink)
Details
git-am patch for 3.5.0 part 3 (1.42 KB, patch)
2010-01-13 17:14 UTC, Jeremy Allison
jra: review? (oliviersessink)
Details
Missing slash issue (2.32 KB, patch)
2010-01-14 05:19 UTC, Olivier Sessink
no flags Details
git-am patch for 3.5.0 part 4 (3.34 KB, patch)
2010-01-14 14:19 UTC, Jeremy Allison
jra: review? (oliviersessink)
Details
scannedonly documentation (7.14 KB, application/xml)
2010-01-16 07:49 UTC, Olivier Sessink
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Sessink 2010-01-11 16:24:54 UTC
Last months I have been working (with lots of help from Volker) to improve the scannedonly VFS module code quality to merge it into the samba codebase. 

Volker created a git patch to include the module:

http://git.samba.org/?p=vl/samba.git;a=commitdiff;h=1469ad5d46cd8cb

Jeremy suggested to create a bugreport to include the module in Samba 3.5
Comment 1 Volker Lendecke 2010-01-12 16:00:58 UTC
Jeremy, I've pushed the module plus the GPLv3+ modification to master. If you also give it your ack, I think it can go to 3.5.

Volker
Comment 2 Jeremy Allison 2010-01-12 19:43:24 UTC
Ok, the only thing I think must be changed is the two uses of strncat() must be changed to strlcat() for security and safety reasons. I think the current use is actually ok, but I really don't want to encourage use of strncat in our codebase. If you don't get to it I will try and do so soon.

Olivier please test the version in master.

Thanks,

Jeremy.


Comment 3 Jeremy Allison 2010-01-13 17:13:16 UTC
Created attachment 5171 [details]
git-am patch for 3.5.0 part 1
Comment 4 Jeremy Allison 2010-01-13 17:13:58 UTC
Created attachment 5172 [details]
git-am patch for 3.5.0 part 2
Comment 5 Jeremy Allison 2010-01-13 17:14:32 UTC
Created attachment 5173 [details]
git-am patch for 3.5.0 part 3
Comment 6 Jeremy Allison 2010-01-13 17:17:40 UTC
Olivier, please review these 3 patches asap (next 2 days or so). Once you've given them a positive review I'll re-assign this bug to Karolin for inclusion in the next 3.5.0 pre-release.

Jeremy.
Comment 7 Olivier Sessink 2010-01-14 05:04:11 UTC
While testing all different cases I've found an issue and fixed it. Will upload the patch soon.
Comment 8 Olivier Sessink 2010-01-14 05:19:43 UTC
Created attachment 5178 [details]
Missing slash issue
Comment 9 Jeremy Allison 2010-01-14 14:19:12 UTC
Created attachment 5185 [details]
git-am patch for 3.5.0 part 4

Olivier, please review the 3.5.0 tree with all four parts of this patch applied and then respond to this bug report with an ok. Once you've done that I'll re-assign to Karolin for inclusion in 3.5.0.

Jeremy.
Comment 10 Olivier Sessink 2010-01-14 17:04:23 UTC
this is when you need an automated test ;-)

but, after an hour of manual testing, every combination of settings seems to be working fine.

I did a clean git checkout to be sure (I'm not that familiar with git yet), and applied all 4 patches in the correct order. 

so this an OK from me. thanks for your reviewing.
Comment 11 Jeremy Allison 2010-01-14 18:52:17 UTC
Ok, re-assigning to Karolin for inclusion in 3.5.0 now you've ok'ed the patches.

Jeremy.
Comment 12 Karolin Seeger 2010-01-15 04:57:33 UTC
Pushed to v3-5-test. Will be included in 3.5.0rc2.

Olivier, could you please provide documentation for your module, please?
A good start would be to copy the documentation of another vfs module (docs-xml/manpages-3/vfs_*) and adapt it. You can just attach the new xml file to this bug report and I will test the build then.

Thanks a lot! :-)
Comment 13 Olivier Sessink 2010-01-16 07:49:40 UTC
Created attachment 5199 [details]
scannedonly documentation

I hope the syntax is correct.
Comment 14 Karolin Seeger 2010-01-18 04:47:08 UTC
Perfectly fine, thanks! :-)
Pushed to master (3fb359aa56) and v3-5-test (a26389a222) after some cosmetic changes.

Closing out bug report.